<?php
date_default_timezone_set('America/Costa_Rica');

session_start();

 $usu=$_SESSION['username'];
 

		include('../conexion.php'); 
		if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='s'  or $_SESSION['tipo_usu']=='c'  or $_SESSION['tipo_usu']=='v'){
		}else{
			header('location:acesso_denegado.php');
		}

		
		$consulta = "SELECT * FROM usuarios WHERE usu='$usu'";
		
		
		$resultado = $mysqli->query($consulta);
		$row = $resultado->fetch_array();
		$cdgusu= $row["codusu"];


		$hoy=date("Y-m-d");
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="es" lang="es">
  <head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

		<title>Principal</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<link href="../calendario/calendar-blue.css" rel="stylesheet" type="text/css">
	
	    <script src="../src/js/jscal2.js"></script>
        <script src="../src/js/lang/en.js"></script>
    <link rel="stylesheet" type="text/css" href="../src/css/jscal2.css" />
    <link rel="stylesheet" type="text/css" href="../src/css/border-radius.css" />
    <link rel="stylesheet" type="text/css" href="../src/css/steel/steel.css" />
    <style type="text/css">
<!--
.Estilo1 {color: #000000}
-->
    </style>
</head>
	<script type="text/javascript" src="js/jquery-1.3.2.min.js"></script>

	<script type="text/javascript">

			
							///////////////////////////////////////////////////////MASCARA NUMERICA //////////////////////////////////////////////


		function aceptar() {
			location.href="index.php?cadena_busqueda=<?php echo $cadena_busqueda?>";
		}
			
	

function imprimir(numrec) {
		window.open("../fpdf/imprimir_recibo_proveedor.php?numrec="+numrec);
	
		}	
        </script>



	</head>
<?php 

 $numrec=$_POST["numrec"];
 if (!isset($_POST["algo"])) { $nomb=""; } else  {  $nomb=$_POST["algo"]; }
 $cdgpro=$_POST["cdgpro"];
 $dscpro=$_POST["dscpro"];
 $pagacon=$_POST["pagacon"];
 $pagacon = str_replace (",","",$pagacon);
 if (!isset($_POST["vuelto"])) { $vuelto=""; } else  {   $vuelto=$_POST["vuelto"]; }
 if (!isset($_POST["accion2"])) { $accion2=""; } else  {   $accion2=$_POST["accion2"]; }
 $accion=$_POST["accion"];
 $monabo=$_POST["totalpago"];
 $monabo = str_replace (",","",$monabo);
 $cdgpro=$_POST["cdgpro"];
 $tazint=$_POST["tazint"];
 $aplnot=$_POST["aplnot"];
 $numrectmp=$_POST["numrec"];
 $detrec=strtoupper($_POST["detrec"]);	

	$total_abono   =0;
	$total_interes =0;
	$total_recibo  =0;
	
	   $parametros = "SELECT numrecpro FROM web_0000";
       $result_parametros = $mysqli->query($parametros);
       $row_para = $result_parametros->fetch_array();
     
	   $numrecpro =  $row_para["numrecpro"];
	   $numrec=$numrecpro+1;
			/////////////////////////////////////////////////  Guarda el recibo en pagos clientes 
			//////////////////////////////////////			
				    if ($accion=="alta") {
				    $tipmov="RP";
 $query_operacion="INSERT INTO pagos_proveedores (numrec, fecrec, montot, pagcon, vuelto, cdgpro, dscpro, detrec, estrec, cdgcaj, tipmov, cdgusu) VALUES ('$numrec',  '$hoy', '$monabo', '$pagacon', '$vuelto', '$cdgpro', '$dscpro',  '$detrec', '1',  '$cdgusu',  '$tipmov', '$cdgusu')";		
 

	$mysqli->query($query_operacion);

	
	$query_operacion2="UPDATE web_0000 SET numrecpro='$numrec'";				
	$mysqli->query($query_operacion2);

	
	
	////////////////////////////////////////////////////////// Guarda el recibo en pagos clientes lineas //////////////////////////////////////////
$numrectmp=$_POST["numrec"];

$sel_lineas="SELECT * FROM pagos_proveedores_recibos_lineastmp WHERE numrec='$numrectmp' AND cdgpro ='$cdgpro' ORDER BY numlinea ASC";	 
//$sel_lineas="SELECT * FROM pagos_proveedores_recibos_lineastmp WHERE numrec='$numrectmp' ORDER BY numlinea ASC";
if ($resultado = $mysqli->query($sel_lineas)) 
$contador=0;
    while ($fila = $resultado->fetch_assoc()) {
		

        $numlinea = $fila["numlinea"];
        $salfac   = $fila["salfac"];
        $numfac   = $fila["numfac"];
		$monabo   = $fila["monabo"];
		$totfac   = $fila["totfac"];
		$monint   = $fila["monint"];
		$intfac   = $fila["intfac"];
		$fecfac   = $fila["fecfac"];


	
	$total_abono=$total_abono+$monabo;
	$total_interes=$total_interes+$monint;
	$total_recibo=$total_abono+$total_interes;

IF ($monabo > 0 OR $monint > 0) {
		$sel_insertar3="INSERT INTO pagos_proveedores_recibos_lineas (numrec,numlinea,salfac,borrado,cdgpro,numfac,totfac,monabo, monint,intfac,fecfac) VALUES 
		('$numrec','','$salfac','0','$cdgpro','$numfac','$totfac','$monabo' ,'$monint','$intfac','$fecfac') ";
		$mysqli->query($sel_insertar3);


	$sel_act="UPDATE web_2201 SET salact='$salfac' WHERE cdgpro='$cdgpro' AND numfac='$numfac'";
	$mysqli->query($sel_act);
	
}	
}

$consulta1 = "DELETE FROM pagos_proveedorestmp  WHERE numrec ='$numrectmp'";
$mysqli->query($consulta1);

$consulta2 = "DELETE FROM pagos_proveedores_recibos_lineastmp  WHERE numrec ='$numrectmp'";
$mysqli->query($consulta2);	

/////////////////////////////////////////////////////////// Modifica el saldo en la  0301 clientes ///////////////////////////////////////////

	
	$consulta = "SELECT  Sum(salact) AS totalfac FROM web_2201 WHERE cdgpro = $cdgpro";
    $resultado = $mysqli->query($consulta);
    $row = $resultado->fetch_array();
    $total = $row["totalfac"];

    $sel_abono="UPDATE proveedores SET salact='$total' WHERE cdgpro = $cdgpro";
	$mysqli->query($sel_abono);

	

 	$sel_totales="UPDATE pagos_proveedores SET monabo='$total_abono', monint='$total_interes', montot='$total_recibo',  nuevosaldo='$total' WHERE cdgpro='$cdgpro' AND numrec='$numrec'";
	$mysqli->query($sel_totales);	



	}
			
	//////////////////////////////////////////////////////////// Anulacion del recibo en pagos clientes ///////////////////////////////////////		
			if ($accion2=="baja") {
	$numrec=$_GET["numrec"];
	echo $numrec;
	$query="UPDATE pagos_proveedores SET estrec='0', nomusu='$nomb',  fecmod='$hoy' WHERE numrec='$numrec'";
	$rs_query=mysql_query($query);
	
		//////////////////////////////////////////////////////////  Modifica la el saldo en la 2101  CXC //////////////////////////////////////////
	 			
	$sel_recibo="SELECT montot, numfac, cdgpro  FROM pagos_proveedores WHERE numrec = $numrec ";
		$rs_total=mysql_query($sel_recibo);
			$monto=mysql_result($rs_total,0,"montot");
			$numfac=mysql_result($rs_total,0,"numfac");
			$cdgpro=mysql_result($rs_total,0,"cdgpro");
			
	 
	  $sel_saldoactual="SELECT  salact  FROM web_2201 WHERE numfac = $numfac ";
		$rs_actual=mysql_query($sel_saldoactual);
			$total=mysql_result($rs_actual,0,"salact");

			
		$nuevosaldo = $total +  $monto ;
  
	  $sel_anulacion="UPDATE web_2201 SET salact='$nuevosaldo' WHERE numfac='$numfac'";
		$rs_abono=mysql_query($sel_anulacion);
	
		/////////////////////////////////////////////////////////// Modifica el saldo en la  0301 clientes ///////////////////////////////////////////
	$sel_Saldo="SELECT  Sum(salact) AS totalfac FROM web_2201 WHERE cdgpro = $cdgpro";
		$rs_facturas=mysql_query($sel_Saldo);
		$suma=mysql_result($rs_facturas,0,"totalfac");

	 $sel_abono="UPDATE proveedores SET salact='$suma' WHERE cdgpro = $cdgpro";
		$rs_abono=mysql_query($sel_abono);
		

}
			
					
					  
	if ($accion=="alta"){



?>
	<script language="javascript">
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
		function aceptar() {
			location.href="index.php";
		}
		
		function imprimir(numrec) {
		//	window.open("../fpdf/imprimir_factura.php?codfactura="+codfactura);
	    window.open("../fpdf/imprimir_recibo_proveedor.php?numrec="+numrec);
		//window.open("../fpdf/imprimir_factura_PUNTO_VENTA.php?codfactura="+codfactura);
		
		//parent.location.href="index.php";
		}
		
		
function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}
		
		</script>
<?php 
		

	
echo "<script>";
echo "imprimir($numrec);";
echo "</script>";	

	
   }

				  
	?>				  
					  
</head>
	<body onLoad="nobackbutton();">
		<div id="">
			<div id="zonaContenido">
         	<div class="contenidoFactura">
			   <div align="center">
				<div id="tituloForm" class="header">
               Operacion completada satisfactoriamente
			   </div>
			    <br> </br>
				<table width="100%" border="0">
  <tr>
    <td colspan="4">&nbsp;</td>
    </tr>
</table>

				
			    
			  </div>
				<div id="botonBusquedaAWR">					
				
				<div id="" align="center">
					<img src="../img/Symbol-Check_128x128-32.png" width="128" height="128" onClick="aceptar()" border="0" onMouseOver="style.cursor=cursor" title="Salir">
			
			  </div>
				    
			   </div>
			  </div>
		  </div>
		</div>
	</body>
</html>




					